# std::promise< _Res > Class Template Reference
[Futures]

Primary template for promise. More...

List of all members.

## Public Member Functions

- promise (promise &&__rhs)
- promise (const promise &)
- future< _Res > get_future ()
- promise & operator= (promise &&__rhs)
- promise & operator= (const promise &)
- void set_exception (exception_ptr __p)
- void set_value (const _Res &__r)
- void set_value (_Res &&__r)
- void swap (promise &__rhs)

## Friends

- class _State::_Setter

## Detailed Description

### template<typename _Res>
class std::promise< _Res >

Primary template for promise.

Definition at line 825 of file future.

The documentation for this class was generated from the following file:

- future